/* Parka Java Interface v. 1.0.2 (windowing version)
   Copyright (C) 1996-1999 PLUS Group - University of Maryland

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   Authors: Sean Luke, Shiloh Heurich, David Rager, Carolyn Gasarch,
            Jeff Heflin, Brian Sullivan
   Contact: Jeff Heflin (heflin@cs.umd.edu)
   */

/**********************************************************************
  applet
**********************************************************************/

/* Added Server and KB parameters - Heflin 5/21/98 */

package parka;

import java.awt.*;
import java.applet.*;
import java.util.*;

public class Parka extends Applet
{
  Vector WinV;
  final static int width = 600;
  final static int height = 500;
  final static String  buttonLabel = "Parka Interface";
  static  ApplType apptype;
  Label status;
  String parkaHost = null;
  int parkaPort = 7990;
  String parkaKB = null;

  public void init()
  {
      super.init();
      WinV = new Vector();
      status = new Label("Press the button to start the application");
      add (status, Label.LEFT);
      add (new Button (buttonLabel));
      Parka.apptype = new ApplType();
      Parka.apptype.setApplet();

      parkaHost = this.getParameter("Host");
      try {
	parkaPort = Integer.parseInt(this.getParameter("Port"));
      } catch (NumberFormatException ex) {
	parkaPort = 7990;
      }
      parkaKB = this.getParameter("KB");
  }

  public boolean handleEvent (Event evt)
  {
      if (evt.target instanceof Button)
      {
	  String label = ((Button)evt.target).getLabel();
	  if ((label.equals (buttonLabel)) && (evt.id == Event.ACTION_EVENT))
  	  {
	      status.setText("Opening window. Please wait...");
	      QueryWin win = new QueryWin(this, width, height,
					  parkaHost, parkaPort, parkaKB);
	      win.show();
	      WinV.addElement(win);
	      status.setText("Window opened.");
	  }
	  return true;
      }
      return  super.handleEvent(evt);
  }
// public boolean action (Event evt, Object arg);
// this routine does not "see" Button events inside the appletviewer.
}
